qt_add_executable(PunkLauncher
    main.cpp
    ui/mainwindow.cpp
    launcher/launcher.cpp
    launcher/profile_handler/forge1_12_2.cpp
    backend/backend.cpp
    settings/settings.cpp
    ../resources/resources.qrc
    ../resources/mainwindow.ui
)

target_link_libraries(PunkLauncher PRIVATE 
    Qt6::Widgets
    Qt6::Network
)

if(WIN32)
    target_sources(PunkLauncher PRIVATE
        ../resources/app.rc
    )
    set_target_properties(PunkLauncher PROPERTIES
		WIN32_EXECUTABLE ON
    )
endif()
